flink-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ches...@apache.org
Subject [04/12] flink git commit: [FLINK-7249] [build] Bump java.version property to 1.8
Date Mon, 31 Jul 2017 11:59:11 GMT
[FLINK-7249] [build] Bump java.version property to 1.8

This closes #4398.


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/0e553e0e
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/0e553e0e
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/0e553e0e

Branch: refs/heads/master
Commit: 0e553e0e6df1b53b609a4498d805c10d4dc19563
Parents: ca5d8af
Author: zentol <chesnay@apache.org>
Authored: Mon Jul 24 13:13:34 2017 +0200
Committer: zentol <chesnay@apache.org>
Committed: Mon Jul 31 12:12:08 2017 +0200

----------------------------------------------------------------------
 docs/quickstart/java_api_quickstart.md                           | 2 +-
 docs/quickstart/scala_api_quickstart.md                          | 2 +-
 docs/quickstart/setup_quickstart.md                              | 2 +-
 docs/setup/building.md                                           | 4 ++--
 .../src/main/resources/archetype-resources/pom.xml               | 4 ++--
 .../src/main/resources/archetype-resources/pom.xml               | 4 ++--
 pom.xml                                                          | 4 ++--
 7 files changed, 11 insertions(+), 11 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/0e553e0e/docs/quickstart/java_api_quickstart.md
----------------------------------------------------------------------
diff --git a/docs/quickstart/java_api_quickstart.md b/docs/quickstart/java_api_quickstart.md
index 7384d91..c21e06e 100644
--- a/docs/quickstart/java_api_quickstart.md
+++ b/docs/quickstart/java_api_quickstart.md
@@ -31,7 +31,7 @@ Start working on your Flink Java program in a few simple steps.
 
 ## Requirements
 
-The only requirements are working __Maven 3.0.4__ (or higher) and __Java 7.x__ (or higher)
installations.
+The only requirements are working __Maven 3.0.4__ (or higher) and __Java 8.x__ (or higher)
installations.
 
 ## Create Project
 

http://git-wip-us.apache.org/repos/asf/flink/blob/0e553e0e/docs/quickstart/scala_api_quickstart.md
----------------------------------------------------------------------
diff --git a/docs/quickstart/scala_api_quickstart.md b/docs/quickstart/scala_api_quickstart.md
index 8ee1e66..abf6021 100644
--- a/docs/quickstart/scala_api_quickstart.md
+++ b/docs/quickstart/scala_api_quickstart.md
@@ -119,7 +119,7 @@ Now you can import the project into Eclipse via `File -> Import...
-> Existing P
 
 ### Requirements
 
-The only requirements are working __Maven 3.0.4__ (or higher) and __Java 7.x__ (or higher)
installations.
+The only requirements are working __Maven 3.0.4__ (or higher) and __Java 8.x__ (or higher)
installations.
 
 
 ### Create Project

http://git-wip-us.apache.org/repos/asf/flink/blob/0e553e0e/docs/quickstart/setup_quickstart.md
----------------------------------------------------------------------
diff --git a/docs/quickstart/setup_quickstart.md b/docs/quickstart/setup_quickstart.md
index 0ddbd4e..7800dec 100644
--- a/docs/quickstart/setup_quickstart.md
+++ b/docs/quickstart/setup_quickstart.md
@@ -30,7 +30,7 @@ Get a Flink example program up and running in a few simple steps.
 
 ## Setup: Download and Start Flink
 
-Flink runs on __Linux, Mac OS X, and Windows__. To be able to run Flink, the only requirement
is to have a working __Java 7.x__ (or higher) installation. Windows users, please take a look
at the [Flink on Windows]({{ site.baseurl }}/setup/flink_on_windows.html) guide which describes
how to run Flink on Windows for local setups.
+Flink runs on __Linux, Mac OS X, and Windows__. To be able to run Flink, the only requirement
is to have a working __Java 8.x__ (or higher) installation. Windows users, please take a look
at the [Flink on Windows]({{ site.baseurl }}/setup/flink_on_windows.html) guide which describes
how to run Flink on Windows for local setups.
 
 You can check the correct installation of Java by issuing the following command:
 

http://git-wip-us.apache.org/repos/asf/flink/blob/0e553e0e/docs/setup/building.md
----------------------------------------------------------------------
diff --git a/docs/setup/building.md b/docs/setup/building.md
index 3ef372e..01dc4ed 100644
--- a/docs/setup/building.md
+++ b/docs/setup/building.md
@@ -31,10 +31,10 @@ This page covers how to build Flink {{ site.version }} from sources.
 
 In order to build Flink you need the source code. Either [download the source of a release]({{
site.download_url }}) or [clone the git repository]({{ site.github_url }}).
 
-In addition you need **Maven 3** and a **JDK** (Java Development Kit). Flink requires **at
least Java 7** to build. We recommend using Java 8.
+In addition you need **Maven 3** and a **JDK** (Java Development Kit). Flink requires **at
least Java 8** to build.
 
 *NOTE: Maven 3.3.x can build Flink, but will not properly shade away certain dependencies.
Maven 3.0.3 creates the libraries properly.
-To build unit tests with Java 8, use Java 8u51 or above to prevent failures in unit tests
that use the PowerMock runner.*
+To build unit tests use Java 8u51 or above to prevent failures in unit tests that use the
PowerMock runner.*
 
 To clone from git, enter:
 

http://git-wip-us.apache.org/repos/asf/flink/blob/0e553e0e/flink-quickstart/flink-quickstart-java/src/main/resources/archetype-resources/pom.xml
----------------------------------------------------------------------
diff --git a/flink-quickstart/flink-quickstart-java/src/main/resources/archetype-resources/pom.xml
b/flink-quickstart/flink-quickstart-java/src/main/resources/archetype-resources/pom.xml
index a5f3963..5da38cd 100644
--- a/flink-quickstart/flink-quickstart-java/src/main/resources/archetype-resources/pom.xml
+++ b/flink-quickstart/flink-quickstart-java/src/main/resources/archetype-resources/pom.xml
@@ -307,8 +307,8 @@ under the License.
 				<artifactId>maven-compiler-plugin</artifactId>
 				<version>3.1</version>
 				<configuration>
-					<source>1.7</source> <!-- If you want to use Java 8, change this to "1.8"
-->
-					<target>1.7</target> <!-- If you want to use Java 8, change this to "1.8"
-->
+					<source>1.8</source>
+					<target>1.8</target>
 				</configuration>
 			</plugin>
 		</plugins>

http://git-wip-us.apache.org/repos/asf/flink/blob/0e553e0e/flink-quickstart/flink-quickstart-scala/src/main/resources/archetype-resources/pom.xml
----------------------------------------------------------------------
diff --git a/flink-quickstart/flink-quickstart-scala/src/main/resources/archetype-resources/pom.xml
b/flink-quickstart/flink-quickstart-scala/src/main/resources/archetype-resources/pom.xml
index e648851..67fe4c1 100644
--- a/flink-quickstart/flink-quickstart-scala/src/main/resources/archetype-resources/pom.xml
+++ b/flink-quickstart/flink-quickstart-scala/src/main/resources/archetype-resources/pom.xml
@@ -307,8 +307,8 @@ under the License.
 				<artifactId>maven-compiler-plugin</artifactId>
 				<version>3.1</version>
 				<configuration>
-					<source>1.7</source>
-					<target>1.7</target>
+					<source>1.8</source>
+					<target>1.8</target>
 				</configuration>
 			</plugin>
 			<plugin>

http://git-wip-us.apache.org/repos/asf/flink/blob/0e553e0e/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 93d0470..3287f61 100644
--- a/pom.xml
+++ b/pom.xml
@@ -95,7 +95,7 @@ under the License.
 		<log4j.configuration>log4j-test.properties</log4j.configuration>
 		<guava.version>18.0</guava.version>
 		<akka.version>2.3-custom</akka.version>
-		<java.version>1.7</java.version>
+		<java.version>1.8</java.version>
 		<slf4j.version>1.7.7</slf4j.version>
 		<log4j.version>1.2.17</log4j.version>
 		<!-- Overwrite default values from parent pom.
@@ -750,7 +750,7 @@ under the License.
 		<profile>
 			<id>release</id>
 			<properties>
-				<java.version>1.7</java.version>
+				<java.version>1.8</java.version>
 			</properties>
 			<build>
 				<plugins>


Mime
View raw message